<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Categories &mdash; Heiwa  documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Files" href="heiwa.views.file.html" />
    <link rel="prev" title="API views" href="heiwa.views.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="index.html" class="icon icon-home"> Heiwa
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="performance.html">Performance</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="heiwa.html">API Documentation</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="heiwa.html#subpackages">Subpackages</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="heiwa.authentication.html">Authentication</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.constants.html">Statuses</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.database.html">Database</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.json_ld.html">JSON-LD</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.enums.html">Enums</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.error_handlers.html">Error handlers</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.exceptions.html">Exceptions</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.limiter.html">Rate limiter</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.tasks.html">Tasks</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.types.html">Abstract types</a></li>
<li class="toctree-l3"><a class="reference internal" href="heiwa.validators.html">Validators</a></li>
<li class="toctree-l3 current"><a class="reference internal" href="heiwa.views.html">API views</a><ul class="current">
<li class="toctree-l4 current"><a class="current reference internal" href="#">Categories</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.file.html">Files</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.forum.html">Forums</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.group.html">Groups</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.guest.html">Guests</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.message.html">Messages</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.meta.html">Meta information</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.notification.html">Notifications</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.oidc.html">OIDC</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.post.html">Posts</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.statistic.html">Statistics</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.thread.html">Threads</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.user.html">Users</a></li>
<li class="toctree-l4"><a class="reference internal" href="heiwa.views.utils.html">Utilities</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="heiwa.html#module-heiwa">Root</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Heiwa</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="heiwa.html">API Documentation</a> &raquo;</li>
          <li><a href="heiwa.views.html">API views</a> &raquo;</li>
      <li>Categories</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/heiwa.views.category.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-heiwa.views.category">
<span id="categories"></span><h1>Categories<a class="headerlink" href="#module-heiwa.views.category" title="Permalink to this headline"></a></h1>
<p>API views for <a class="reference internal" href="heiwa.database.html#heiwa.database.Category" title="heiwa.database.Category"><code class="xref py py-class docutils literal notranslate"><span class="pre">Category</span></code></a> objects.</p>
<dl class="py function">
<dt class="sig sig-object py" id="heiwa.views.category.create">
<span class="sig-prename descclassname"><span class="pre">heiwa.views.category.</span></span><span class="sig-name descname"><span class="pre">create</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">flask.wrappers.Response</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">int</span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/heiwa/views/category.html#create"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#heiwa.views.category.create" title="Permalink to this definition"></a></dt>
<dd><p>Creates a <a class="reference internal" href="heiwa.database.html#heiwa.database.Category" title="heiwa.database.Category"><code class="xref py py-class docutils literal notranslate"><span class="pre">Category</span></code></a> with the given
<a class="reference internal" href="heiwa.database.html#heiwa.database.Category.forum_id" title="heiwa.database.Category.forum_id"><code class="xref py py-attr docutils literal notranslate"><span class="pre">forum_id</span></code></a>,
<a class="reference internal" href="heiwa.database.html#heiwa.database.Category.name" title="heiwa.database.Category.name"><code class="xref py py-attr docutils literal notranslate"><span class="pre">name</span></code></a>,
<a class="reference internal" href="heiwa.database.html#heiwa.database.Category.description" title="heiwa.database.Category.description"><code class="xref py py-attr docutils literal notranslate"><span class="pre">description</span></code></a> and
<a class="reference internal" href="heiwa.database.html#heiwa.database.Category.order" title="heiwa.database.Category.order"><code class="xref py py-attr docutils literal notranslate"><span class="pre">order</span></code></a>. Requires the current
<a class="reference internal" href="heiwa.database.html#heiwa.database.User" title="heiwa.database.User"><code class="xref py py-class docutils literal notranslate"><span class="pre">User</span></code></a> to be allowed to perform the <code class="docutils literal notranslate"><span class="pre">create</span></code>
action.</p>
<dl class="field-list simple">
<dt class="field-odd">Raises</dt>
<dd class="field-odd"><p><a class="reference internal" href="heiwa.exceptions.html#heiwa.exceptions.APIForumNotFound" title="heiwa.exceptions.APIForumNotFound"><strong>heiwa.exceptions.APIForumNotFound</strong></a> – Raised when the <code class="docutils literal notranslate"><span class="pre">forum_id</span></code> was
not <code class="xref py py-data docutils literal notranslate"><span class="pre">None</span></code> and the corresponding
<a class="reference internal" href="heiwa.database.html#heiwa.database.Forum" title="heiwa.database.Forum"><code class="xref py py-class docutils literal notranslate"><span class="pre">Forum</span></code></a> was not found. This can mean it
simply does not exist, or the current user does not have permission to
view it.</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>The newly created category, with the 204 status code.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="heiwa.views.category.delete">
<span class="sig-prename descclassname"><span class="pre">heiwa.views.category.</span></span><span class="sig-name descname"><span class="pre">delete</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">id_</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">uuid.UUID</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">flask.wrappers.Response</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">int</span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/heiwa/views/category.html#delete"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#heiwa.views.category.delete" title="Permalink to this definition"></a></dt>
<dd><p>Deletes the <a class="reference internal" href="heiwa.database.html#heiwa.database.Category" title="heiwa.database.Category"><code class="xref py py-class docutils literal notranslate"><span class="pre">Category</span></code></a> with the requested
<code class="docutils literal notranslate"><span class="pre">id_</span></code>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>id</strong> – The <a class="reference internal" href="heiwa.database.html#heiwa.database.Category.id" title="heiwa.database.Category.id"><code class="xref py py-attr docutils literal notranslate"><span class="pre">id</span></code></a> of the category.</p>
</dd>
<dt class="field-even">Raises</dt>
<dd class="field-even"><ul class="simple">
<li><p><a class="reference internal" href="heiwa.exceptions.html#heiwa.exceptions.APICategoryNotFound" title="heiwa.exceptions.APICategoryNotFound"><strong>heiwa.exceptions.APICategoryNotFound</strong></a> – Raised when the category was
not found. This means it either simply does not exist, or the current
<a class="reference internal" href="heiwa.database.html#heiwa.database.User" title="heiwa.database.User"><code class="xref py py-class docutils literal notranslate"><span class="pre">User</span></code></a> does not have permission to view it.</p></li>
<li><p><a class="reference internal" href="heiwa.exceptions.html#heiwa.exceptions.APINoPermission" title="heiwa.exceptions.APINoPermission"><strong>heiwa.exceptions.APINoPermission</strong></a> – Raised when the current user does
not have permission to delete the category.</p></li>
</ul>
</dd>
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p><code class="xref py py-data docutils literal notranslate"><span class="pre">None</span></code>, with the 204 status code.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="heiwa.views.category.edit">
<span class="sig-prename descclassname"><span class="pre">heiwa.views.category.</span></span><span class="sig-name descname"><span class="pre">edit</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">id_</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">uuid.UUID</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">flask.wrappers.Response</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">int</span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/heiwa/views/category.html#edit"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#heiwa.views.category.edit" title="Permalink to this definition"></a></dt>
<dd><p>Updates the <a class="reference internal" href="heiwa.database.html#heiwa.database.Category" title="heiwa.database.Category"><code class="xref py py-class docutils literal notranslate"><span class="pre">Category</span></code></a> with the requested
<code class="docutils literal notranslate"><span class="pre">id_</span></code> with the given values.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>id</strong> – The <a class="reference internal" href="heiwa.database.html#heiwa.database.Category.id" title="heiwa.database.Category.id"><code class="xref py py-attr docutils literal notranslate"><span class="pre">id</span></code></a> of the category.</p>
</dd>
<dt class="field-even">Raises</dt>
<dd class="field-even"><ul class="simple">
<li><p><a class="reference internal" href="heiwa.exceptions.html#heiwa.exceptions.APICategoryNotFound" title="heiwa.exceptions.APICategoryNotFound"><strong>heiwa.exceptions.APICategoryNotFound</strong></a> – Raised when the category was
not found. This means it either simply does not exist, or the current
<a class="reference internal" href="heiwa.database.html#heiwa.database.User" title="heiwa.database.User"><code class="xref py py-class docutils literal notranslate"><span class="pre">User</span></code></a> does not have permission to view it.</p></li>
<li><p><a class="reference internal" href="heiwa.exceptions.html#heiwa.exceptions.APINoPermission" title="heiwa.exceptions.APINoPermission"><strong>heiwa.exceptions.APINoPermission</strong></a> – Raised when the current user does
not have permission to edit the category and/or move it when there is
also a new <a class="reference internal" href="heiwa.database.html#heiwa.database.Category.forum_id" title="heiwa.database.Category.forum_id"><code class="xref py py-attr docutils literal notranslate"><span class="pre">forum_id</span></code></a> specified.</p></li>
<li><p><a class="reference internal" href="heiwa.exceptions.html#heiwa.exceptions.APICategoryUnchanged" title="heiwa.exceptions.APICategoryUnchanged"><strong>heiwa.exceptions.APICategoryUnchanged</strong></a> – Raised when the user has not
changed any of the category’s attributes.</p></li>
</ul>
</dd>
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p><code class="xref py py-data docutils literal notranslate"><span class="pre">None</span></code>, with the 204 status code.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="heiwa.views.category.list_">
<span class="sig-prename descclassname"><span class="pre">heiwa.views.category.</span></span><span class="sig-name descname"><span class="pre">list_</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">flask.wrappers.Response</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">int</span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/heiwa/views/category.html#list_"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#heiwa.views.category.list_" title="Permalink to this definition"></a></dt>
<dd><p>Obtains a list of <a class="reference internal" href="heiwa.database.html#heiwa.database.Category" title="heiwa.database.Category"><code class="xref py py-class docutils literal notranslate"><span class="pre">Category</span></code></a> objects that
the current <a class="reference internal" href="heiwa.database.html#heiwa.database.User" title="heiwa.database.User"><code class="xref py py-class docutils literal notranslate"><span class="pre">User</span></code></a> has permission to <code class="docutils literal notranslate"><span class="pre">view</span></code>,
and match the <code class="docutils literal notranslate"><span class="pre">filter</span></code> if there is one requested, ordered according to
<code class="docutils literal notranslate"><span class="pre">order</span></code>.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>The potentially empty list of categories, with the 200 status code.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="heiwa.views.category.mass_delete">
<span class="sig-prename descclassname"><span class="pre">heiwa.views.category.</span></span><span class="sig-name descname"><span class="pre">mass_delete</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">flask.wrappers.Response</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">int</span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/heiwa/views/category.html#mass_delete"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#heiwa.views.category.mass_delete" title="Permalink to this definition"></a></dt>
<dd><p>Obtains a list of the <code class="xref py py-attr docutils literal notranslate"><span class="pre">id</span></code> objects that the current
<a class="reference internal" href="heiwa.database.html#heiwa.database.User" title="heiwa.database.User"><code class="xref py py-class docutils literal notranslate"><span class="pre">User</span></code></a> has permission to <code class="docutils literal notranslate"><span class="pre">view</span></code> and <code class="docutils literal notranslate"><span class="pre">delete</span></code>,
and match the <code class="docutils literal notranslate"><span class="pre">filter</span></code> if there is one requested, ordered according to
<code class="docutils literal notranslate"><span class="pre">order</span></code>. The categories corresponding to those IDs are subsequently deleted.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p><code class="xref py py-data docutils literal notranslate"><span class="pre">None</span></code>, with the 204 status code.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="heiwa.views.category.mass_edit">
<span class="sig-prename descclassname"><span class="pre">heiwa.views.category.</span></span><span class="sig-name descname"><span class="pre">mass_edit</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">flask.wrappers.Response</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">int</span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/heiwa/views/category.html#mass_edit"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#heiwa.views.category.mass_edit" title="Permalink to this definition"></a></dt>
<dd><p>Obtains a list of the <code class="xref py py-attr docutils literal notranslate"><span class="pre">id</span></code> objects that the current
<a class="reference internal" href="heiwa.database.html#heiwa.database.User" title="heiwa.database.User"><code class="xref py py-class docutils literal notranslate"><span class="pre">User</span></code></a> has permission to <code class="docutils literal notranslate"><span class="pre">view</span></code> and <code class="docutils literal notranslate"><span class="pre">edit</span></code>,
and match the <code class="docutils literal notranslate"><span class="pre">filter</span></code> if there is one requested, ordered according to
<code class="docutils literal notranslate"><span class="pre">order</span></code>. If a <code class="docutils literal notranslate"><span class="pre">forum_id</span></code> is defined in the <code class="docutils literal notranslate"><span class="pre">values</span></code>, forums whose
<a class="reference internal" href="heiwa.database.html#heiwa.database.Forum.category_id" title="heiwa.database.Forum.category_id"><code class="xref py py-attr docutils literal notranslate"><span class="pre">category_id</span></code></a> is one of those IDs and
<a class="reference internal" href="heiwa.database.html#heiwa.database.Forum.parent_forum_id" title="heiwa.database.Forum.parent_forum_id"><code class="xref py py-attr docutils literal notranslate"><span class="pre">parent_forum_id</span></code></a> does not match
the new <code class="docutils literal notranslate"><span class="pre">forum_id</span></code> have the
<a class="reference internal" href="heiwa.database.html#heiwa.database.Forum.category_id" title="heiwa.database.Forum.category_id"><code class="xref py py-attr docutils literal notranslate"><span class="pre">category_id</span></code></a> attribute set to
<code class="xref py py-data docutils literal notranslate"><span class="pre">None</span></code>. The categories are subsequently updated with the given
<code class="docutils literal notranslate"><span class="pre">values</span></code>.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p><code class="xref py py-data docutils literal notranslate"><span class="pre">None</span></code>, with the 204 status code.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="heiwa.views.category.view">
<span class="sig-prename descclassname"><span class="pre">heiwa.views.category.</span></span><span class="sig-name descname"><span class="pre">view</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">id_</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">uuid.UUID</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">flask.wrappers.Response</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">int</span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/heiwa/views/category.html#view"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#heiwa.views.category.view" title="Permalink to this definition"></a></dt>
<dd><p>Gets the <a class="reference internal" href="heiwa.database.html#heiwa.database.Category" title="heiwa.database.Category"><code class="xref py py-class docutils literal notranslate"><span class="pre">Category</span></code></a> with the given
<code class="docutils literal notranslate"><span class="pre">id_</span></code>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>id</strong> – The <a class="reference internal" href="heiwa.database.html#heiwa.database.Category.id" title="heiwa.database.Category.id"><code class="xref py py-attr docutils literal notranslate"><span class="pre">id</span></code></a> of the category.</p>
</dd>
<dt class="field-even">Raises</dt>
<dd class="field-even"><p><a class="reference internal" href="heiwa.exceptions.html#heiwa.exceptions.APICategoryNotFound" title="heiwa.exceptions.APICategoryNotFound"><strong>heiwa.exceptions.APICategoryNotFound</strong></a> – Raised when the category was
not found.</p>
</dd>
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>The category, with the 200 status code.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="heiwa.views.category.view_allowed_actions_instance">
<span class="sig-prename descclassname"><span class="pre">heiwa.views.category.</span></span><span class="sig-name descname"><span class="pre">view_allowed_actions_instance</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">id_</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><span class="pre">uuid.UUID</span></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">flask.wrappers.Response</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">int</span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/heiwa/views/category.html#view_allowed_actions_instance"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#heiwa.views.category.view_allowed_actions_instance" title="Permalink to this definition"></a></dt>
<dd><p>Gets all actions that the current <code class="xref py py-attr docutils literal notranslate"><span class="pre">flask.g.user</span></code> is allowed to
perform on the category with the given <code class="docutils literal notranslate"><span class="pre">id_</span></code>.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>id</strong> – The <a class="reference internal" href="heiwa.database.html#heiwa.database.Category.id" title="heiwa.database.Category.id"><code class="xref py py-attr docutils literal notranslate"><span class="pre">id</span></code></a> of the category.</p>
</dd>
<dt class="field-even">Raises</dt>
<dd class="field-even"><p><a class="reference internal" href="heiwa.exceptions.html#heiwa.exceptions.APICategoryNotFound" title="heiwa.exceptions.APICategoryNotFound"><strong>heiwa.exceptions.APICategoryNotFound</strong></a> – Raised when the category was
not found.</p>
</dd>
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>A list of the allowed actions, with a 200 status code.</p>
</dd>
</dl>
<div class="admonition seealso">
<p class="admonition-title">See also</p>
<p><code class="xref py py-attr docutils literal notranslate"><span class="pre">heiwa.database.Category.instance_actions</span></code></p>
</div>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="heiwa.views.category.view_allowed_actions_static">
<span class="sig-prename descclassname"><span class="pre">heiwa.views.category.</span></span><span class="sig-name descname"><span class="pre">view_allowed_actions_static</span></span><span class="sig-paren">(</span><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><span class="pre">Tuple</span><span class="p"><span class="pre">[</span></span><span class="pre">flask.wrappers.Response</span><span class="p"><span class="pre">,</span></span><span class="w"> </span><span class="pre">int</span><span class="p"><span class="pre">]</span></span></span></span><a class="reference internal" href="_modules/heiwa/views/category.html#view_allowed_actions_static"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#heiwa.views.category.view_allowed_actions_static" title="Permalink to this definition"></a></dt>
<dd><p>Gets all actions that the current <code class="xref py py-attr docutils literal notranslate"><span class="pre">flask.g.user</span></code> is allowed to
perform on categories, without any knowledge of which one it will be.</p>
<dl class="field-list simple">
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>The list of allowed actions, with a 200 status code.</p>
</dd>
</dl>
<div class="admonition seealso">
<p class="admonition-title">See also</p>
<p><a class="reference internal" href="heiwa.database.html#heiwa.database.Category.static_actions" title="heiwa.database.Category.static_actions"><code class="xref py py-attr docutils literal notranslate"><span class="pre">heiwa.database.Category.static_actions</span></code></a></p>
</div>
</dd></dl>

</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="heiwa.views.html" class="btn btn-neutral float-left" title="API views" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="heiwa.views.file.html" class="btn btn-neutral float-right" title="Files" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p></p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>